#ifndef _LEPTO_LOGOUTPUT_H_
#define _LEPTO_LOGOUTPUT_H_
//----------------------------------------------------------------------------
//
// \brief   Logging with lepto
//
//----------------------------------------------------------------------------



#include <lepto/debug.h>


class CLog;

class CLogOutput
{
   private:
      #if 0
      bool m_enabled;
      #endif
   public:
      CLogOutput(bool doMakeStandard=true ){};
      ~CLogOutput(){};
      virtual void putS(const char *str) const = 0;
      virtual void putC(const char ch) const = 0;
      virtual void endLine() const {};
      #if 0
      void enable(bool _enable=true)
      {
         // There is an stdLogOutput which mit be uninitialized
         if(!this) //(this==nullptr)
            return;

         m_enabled=_enable;
      }
      bool isEnabled() const
      {
         return(m_enabled);
      }
      #endif
      virtual void endLine(){};
};

//extern CLogOutput *stdLogOutput;
//extern CLogCistern stdLogCistern;


//---fin----------------------------------------------------------------------
#endif // ? ! _LEPTO_LOGOUTPUT_H_
